#delimit ;
set more off;
clear all;




* CROSS-SPORT;
use Olympics_cs;
iis id_sportnatn;
tis year;



* MAIN TABLE;
* 1) all;
quietly xtnbreg sp_medtotal boycott events_per_sport nation_count season host ln_pop ln_GDP sp_medtotal1 sp_medtotal2 sp_medtotal3 if federation~=1 , re;
quietly mfx compute, predict(nu0);
est sto mfxa;
* 2) objective only;
quietly xtnbreg sp_medtotal boycott events_per_sport nation_count season host ln_pop ln_GDP sp_medtotal1 sp_medtotal2 sp_medtotal3 if federation~=1 & objective==1, re;
quietly mfx compute, predict(nu0);
est sto mfxo;
* 3) refereed only;
quietly xtnbreg sp_medtotal     boycott    events_per_sport nation_count season host ln_pop ln_GDP sp_medtotal1 sp_medtotal2 sp_medtotal3  if federation~=1 & refereed==1, re;
quietly mfx compute, predict(nu0);
est sto mfxr;
* 4) subjective only;
quietly xtnbreg sp_medtotal boycott events_per_sport nation_count season host ln_pop ln_GDP sp_medtotal1 sp_medtotal2 sp_medtotal3 if federation~=1 & subjective==1, re;
quietly mfx compute, predict(nu0);
est sto mfxs;
estout *, cells(b(star fmt(%9.3f)) t(par fmt(%9.2f)) Xmfx_dydx(par([ ]) fmt(%9.3f))) starlevels(+ 0.10 * 0.05 ** 0.01)
    stats(N ll chi2, star(chi2) labels("N" "Log Likelihood" "LR Chi Square" ) fmt(%8.2f)) varwidth(22) style(fixed);
est clear;





* Pooled interactions for coefficient tests
      Ref lags jointly significant 1%
      Sub lags jointly significant 5%
      Ref host not significant
      Sub host siginificant 10%;
gen refXsp_medtotal1 = refereed * sp_medtotal1;
gen refXsp_medtotal2 = refereed * sp_medtotal2;
gen refXsp_medtotal3 = refereed * sp_medtotal3;
gen refXhost = refereed * host;
gen subXsp_medtotal1 = subjective * sp_medtotal1;
gen subXsp_medtotal2 = subjective * sp_medtotal2;
gen subXsp_medtotal3 = subjective * sp_medtotal3;
gen subXhost = subjective * host;
quietly xtnbreg sp_medtotal boycott events_per_sport nation_count season host ln_pop ln_GDP sp_medtotal1  sp_medtotal2 sp_medtotal3 refereed  subjective
     refXhost refXsp_medtotal1 refXsp_medtotal2 refXsp_medtotal3
     subXhost subXsp_medtotal1 subXsp_medtotal2 subXsp_medtotal3 if federation~=1 , re;
	 quietly mfx compute, predict(nu0);
est sto mfxR1;
test refXsp_medtotal1 refXsp_medtotal2 refXsp_medtotal3;
test subXsp_medtotal1 subXsp_medtotal2 subXsp_medtotal3;
test refXhost;
test subXhost;
test refXhost subXhost;
estout *, cells(b(star fmt(%9.3f)) t(par fmt(%9.2f)) Xmfx_dydx(par([ ]) fmt(%9.3f))) starlevels(+ 0.10 * 0.05 ** 0.01)
    stats(N ll chi2, star(chi2) labels("N" "Log Likelihood" "LR Chi Square" ) fmt(%8.2f)) varwidth(22);
est clear;


* FIXED EFFECTS;
* FE DROPS 989 country/sport groups with 1 observation or all zero outcomes;
* 1889 groups remain in the analysis;
* 1) all;
quietly xtnbreg sp_medtotal boycott events_per_sport nation_count season host ln_pop ln_GDP sp_medtotal1 sp_medtotal2 sp_medtotal3 
	,fe i(id_sportnatn);
quietly mfx compute, predict(nu0);
est sto mfxa;
* 2) objective only;
quietly xtnbreg sp_medtotal boycott events_per_sport nation_count season host ln_pop ln_GDP sp_medtotal1 sp_medtotal2 sp_medtotal3 
	if objective==1, fe i(id_sportnatn);
quietly mfx compute, predict(nu0);
est sto mfxo;
* 3) refereed only;
quietly xtnbreg sp_medtotal     boycott    events_per_sport nation_count season host ln_pop ln_GDP sp_medtotal1 sp_medtotal2 sp_medtotal3  
	if refereed==1, fe i(id_sportnatn);
quietly mfx compute, predict(nu0);
est sto mfxr;
* 4) subjective only;
quietly xtnbreg sp_medtotal boycott events_per_sport nation_count season host ln_pop ln_GDP sp_medtotal1 sp_medtotal2 sp_medtotal3 
	if subjective==1, fe i(id_sportnatn);
quietly mfx compute, predict(nu0);
est sto mfxs;
estout *, cells(b(star fmt(%9.3f)) t(par fmt(%9.2f)) Xmfx_dydx(par([ ]) fmt(%9.3f))) starlevels(+ 0.10 * 0.05 ** 0.01)
    stats(N ll chi2, star(chi2) labels("N" "Log Likelihood" "LR Chi Square" ) fmt(%8.2f)) varwidth(22) style(fixed);
est clear;



* SPLIT INTO INDIVIDUAL AND TEAM SPORT;
* INDIVIDUAL;
* 1) all;
quietly xtnbreg sp_medtotal boycott events_per_sport nation_count season host 
	ln_pop ln_GDP sp_medtotal1 sp_medtotal2 sp_medtotal3 if federation~=1 & !team_sport, re;
quietly mfx compute, predict(nu0);
est sto mfxa;
* 2) objective only;
quietly xtnbreg sp_medtotal boycott events_per_sport nation_count season host 
	ln_pop ln_GDP sp_medtotal1 sp_medtotal2 sp_medtotal3 if federation~=1 & objective==1 & !team_sport, re;
quietly mfx compute, predict(nu0);
est sto mfxo;
* 3) refereed only;
quietly xtnbreg sp_medtotal     boycott    events_per_sport nation_count season host 
	ln_pop ln_GDP sp_medtotal1 sp_medtotal2 sp_medtotal3  if federation~=1 & refereed==1 & !team_sport, re;
quietly mfx compute, predict(nu0);
est sto mfxr;
* 4) subjective only;
quietly xtnbreg sp_medtotal boycott events_per_sport nation_count season host 
	ln_pop ln_GDP sp_medtotal1 sp_medtotal2 sp_medtotal3 if federation~=1 & subjective==1 & !team_sport, re;
quietly mfx compute, predict(nu0);
est sto mfxs;
estout *, cells(b(star fmt(%9.3f)) t(par fmt(%9.2f)) Xmfx_dydx(par([ ]) fmt(%9.3f))) starlevels(+ 0.10 * 0.05 ** 0.01)
    stats(N ll chi2, star(chi2) labels("N" "Log Likelihood" "LR Chi Square" ) fmt(%8.2f)) varwidth(22) style(fixed);
est clear;
* TEAM SPORT - USE LOGIT - COLLAPSE SUBJECTIVE AND REFEREED;
gen sp_medtotald = (sp_medtotal > 0);
* 1) all;
quietly xtlogit sp_medtotald boycott events_per_sport nation_count season host 
	ln_pop ln_GDP sp_medtotal1 sp_medtotal2 sp_medtotal3 if federation~=1 & team_sport, re;
quietly mfx compute, predict(pu0);
est sto mfxa;
* 2) objective only;
quietly xtlogit sp_medtotald boycott events_per_sport nation_count season host 
	ln_pop ln_GDP sp_medtotal1 sp_medtotal2 sp_medtotal3 if federation~=1 & objective==1 & team_sport, re;
quietly mfx compute, predict(pu0);
est sto mfxo;
* 3) refereed or subjective;
quietly xtlogit sp_medtotald   boycott events_per_sport nation_count season host 
	ln_pop ln_GDP sp_medtotal1 sp_medtotal2 sp_medtotal3  if federation~=1 & (refereed==1 | subjective==1) & team_sport, re;
quietly mfx compute, predict(pu0);
est sto mfxr;
estout *, cells(b(star fmt(%9.3f)) t(par fmt(%9.2f)) Xmfx_dydx(par([ ]) fmt(%9.3f))) starlevels(+ 0.10 * 0.05 ** 0.01)
    stats(N ll chi2, star(chi2) labels("N" "Log Likelihood" "LR Chi Square" ) fmt(%8.2f)) varwidth(22) style(fixed);
est clear;


